# RSL_hdf_to_radar
RSL_hdf_to_radar_unQC

### Synopsis

#include "rsl.h"
Radar *RSL_hdf_to_radar(char *infile);
Radar *RSL_hdf_to_radar_unQC(char *infile);

### Description

Reads an HDF file and returns a pointer to the structure Radar. The input file is specified by the string infile. If infile is NULL, then no action is taken. This is different from other ingest routines where stdin is read. HDF files cannot be stdin, because they require seeking.. The input file may not be compressed.

RSL_hdf_to_radar_unQC differs from RSL_hdf_to_radar in that both DZ (original uncorrected reflectivity) and CZ (corrected) volumes are extracted from the HDF file. Normally, RSL_hdf_to_radar returns CZ only. Call one or the other, for ingest efficiency.

The radar structure is, essentially, an array of Volumes. The number and type of volumes allocated is automatically determined from the input HDF file.

### Return value

Upon successful completion, RSL_hdf_to_radar returns a pointer to the structure Radar. Otherwise, NULL is returned and errno is set.

### See also

RSL_anyformat_to_radar

Author: Mike Kolander.